Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscodes.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscodes.py	(revision 6451)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscodes.py	(revision 6452)
@@ -56,12 +56,4 @@
 
     @property
-    def disabled(self):
-        return IWorkflowState(self).getState() == DISABLED
-
-    @property
-    def used(self):
-        return IWorkflowState(self).getState() == USED
-
-    @property
     def history(self):
         history = IObjectHistory(self)
@@ -174,6 +166,5 @@
             )
         writer = csv.writer(open(csv_path, 'w'), quoting=csv.QUOTE_ALL)
-        writer.writerow(['prefix', 'serial', 'ac', 'used',
-                         'disabled', 'history'])
+        writer.writerow(['prefix', 'serial', 'ac', 'status', 'history'])
         writer.writerow([self.prefix, '%0.2f' % self.cost, str(self.num),
                          str(self.entry_num)])
@@ -184,6 +175,5 @@
             writer.writerow([
                     self.prefix, value.batch_serial, value.representation,
-                    value.used and '1' or '0', value.disabled and '1' or '0',
-                    value.history
+                    value.status, value.history
                     ])
         return os.path.basename(csv_path)
@@ -292,10 +282,4 @@
         return
 
-    #def search(self, searchterm, searchtype):
-    #    """Look for access-codes that comply with the given params.
-    #    """
-    #    results = []
-    #    return results
-
     def getAccessCode(self, ac_id):
         """Get the AccessCode with ID ``ac_id`` or ``KeyError``.
@@ -332,14 +316,4 @@
         reenable_accesscode(ac_id, user_id)
         return
-
-    #def invalidate(self, ac_id):
-    #    """Invalidate the AC with ID ``ac_id``.
-    #    """
-    #    ac = self.getAccessCode(ac_id)
-    #    if ac is None:
-    #        return
-    #    ac.__parent__.invalidate(ac_id)
-    #    return
-
 
 class AccessCodePlugin(grok.GlobalUtility):
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.txt	(revision 6451)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.txt	(revision 6452)
@@ -306,9 +306,9 @@
     ...                             sorted(os.listdir(ac_storage))[-2])
     >>> print open(archive_file, 'rb').read()
-    "prefix","serial","ac","used","disabled","history"
+    "prefix","serial","ac","status","history"
     "BLA","19.12","1","3"
-    "BLA","0","BLA-1-<10-DIGITS>","0","0","..."
-    "BLA","1","BLA-1-<10-DIGITS>","0","0","..."
-    "BLA","2","BLA-1-<10-DIGITS>","0","0","..."
+    "BLA","0","BLA-1-<10-DIGITS>","initialized","..."
+    "BLA","1","BLA-1-<10-DIGITS>","initialized","..."
+    "BLA","2","BLA-1-<10-DIGITS>","initialized","..."
 
 Clean up:
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/reimportbatchpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/reimportbatchpage.pt	(revision 6451)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/reimportbatchpage.pt	(revision 6452)
@@ -1,3 +1,3 @@
-<h3>Reimport Access-Code Batches</h3>
+<h3>Reimport Access Code Batches</h3>
 <p>
   Please select the files to reimport. Please note, that batches with
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/catalog.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/catalog.py	(revision 6451)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/catalog.py	(revision 6452)
@@ -17,6 +17,4 @@
     code = grok.index.Field(attribute='representation')
     history = grok.index.Text(attribute='history')
-    disabled = grok.index.Field(attribute='disabled')
-    used = grok.index.Field(attribute='used')
     batch_serial = grok.index.Field(attribute='batch_serial')
     status = grok.index.Field(attribute='status')
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py	(revision 6451)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py	(revision 6452)
@@ -26,14 +26,4 @@
     status = schema.TextLine(
         title = u'Workflow status',
-        )
-    disabled = schema.Bool(
-        title = u'Access code is disabled',
-        default = False,
-        readonly = True,
-        )
-    used = schema.Bool(
-        title = u'Access code is already in use.',
-        default = False,
-        readonly = True,
         )
     representation = schema.TextLine(
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscodes.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscodes.py	(revision 6451)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscodes.py	(revision 6452)
@@ -106,21 +106,21 @@
 
     def test_invalidate_accesscode(self):
-        assert self.ac1.used is False
+        assert self.ac1.status != USED
         result = invalidate_accesscode('APP-1-11111111')
-        assert self.ac1.used is True
+        assert self.ac1.status == USED
         assert result is True
 
     def test_disable_accesscode_unused(self):
         # we can disable initialized acs
-        assert self.ac1.disabled is False
+        assert self.ac1.status != USED
         disable_accesscode('APP-1-11111111')
-        assert self.ac1.disabled is True
+        assert self.ac1.status == DISABLED
 
     def test_disable_accesscode_used(self):
         # we can disable already used acs
-        assert self.ac1.disabled is False
+        assert self.ac1.status != DISABLED
         invalidate_accesscode('APP-1-11111111')
         disable_accesscode('APP-1-11111111')
-        assert self.ac1.disabled is True
+        assert self.ac1.status == DISABLED
 
     def test_reenable_accesscode(self):
@@ -129,5 +129,5 @@
         result = reenable_accesscode('APP-1-11111111')
         assert result is True
-        assert self.ac1.disabled is False
+        assert self.ac1.status != USED
 
     def test_fire_transition(self):
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_catalog.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_catalog.py	(revision 6451)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_catalog.py	(revision 6452)
@@ -110,6 +110,6 @@
         # Now we want to find the disabled access code
         cat = queryUtility(ICatalog, name='accesscodes_catalog')
-        results1 = cat.searchResults(disabled=(True, True))
-        results2 = cat.searchResults(disabled=(False, False))
+        results1 = cat.searchResults(status=('disabled', 'disabled'))
+        results2 = cat.searchResults(status=('initialized', 'initialized'))
         results1 = [x for x in results1] # Turn results generator into list
         # We found 1 accescode disabled
@@ -125,6 +125,6 @@
         # Now we want to find the invalidated access code
         cat = queryUtility(ICatalog, name='accesscodes_catalog')
-        results1 = cat.searchResults(used=(True, True))
-        results2 = cat.searchResults(used=(False, False))
+        results1 = cat.searchResults(status=('used', 'used'))
+        results2 = cat.searchResults(status=('initialized', 'initialized'))
         results1 = [x for x in results1] # Turn results generator into list
         # We found 1 accescode used
@@ -145,5 +145,5 @@
         # exactly one access code.
         results = cat.searchResults(history='Tester',
-                                    used=(True, True),
+                                    status=('used', 'used'),
                                     code=('APP-1-11111111', 'APP-1-22222222'))
         assert len(results) == 1
@@ -154,7 +154,7 @@
         # immediately in catalog
         cat = queryUtility(ICatalog, name='accesscodes_catalog')
-        result = cat.searchResults(used=(True, True))
+        result = cat.searchResults(status=('used', 'used'))
         assert len(result) == 0
         invalidate_accesscode('APP-1-11111111')
-        result = cat.searchResults(used=(True, True))
+        result = cat.searchResults(status=('used', 'used'))
         assert len(result) == 1