Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 6459)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 6460)
@@ -41,10 +41,8 @@
   </table>
 
-  <div id="actionsView">
-    <span class="actionButtons" tal:condition="view/availableActions">
-      <input tal:repeat="action view/actions"
+  <span class="actionButtons" tal:condition="view/availableActions">
+    <input tal:repeat="action view/actions"
              tal:replace="structure action/render"
              />
-    </span>
-  </div>
+  </span>
 </form>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6459)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6460)
@@ -54,12 +54,10 @@
         </tbody>
       </table>
-      <div id="actionsView">
-        <span class="actionButtons" tal:condition="view/availableActions">
-          <span tal:repeat="action view/actions" tal:omit-tag="">
-            <input tal:condition="python:action.label in view.taboneactions"
-                   tal:replace="structure action/render"/>
-          </span>
-        </span>
-      </div>
+    <span class="actionButtons" tal:condition="view/availableActions">
+      <span tal:repeat="action view/actions" tal:omit-tag="">
+        <input tal:condition="python:action.label in view.taboneactions"
+               tal:replace="structure action/render"/>
+      </span>
+    </span>
     </div>
     <div id="tab-2"> <h3>Applicants</h3>
@@ -90,12 +88,10 @@
         </tbody>
       </table><br /><br />
-      <div id="actionsView">
-        <span class="actionButtons" tal:condition="view/availableActions">
-          <span tal:repeat="action view/actions" tal:omit-tag="">
-            <input tal:condition="python:action.label in view.tabtwoactions"
-                   tal:replace="structure action/render"/>
-          </span>
+      <span class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions" tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabtwoactions"
+                 tal:replace="structure action/render"/>
         </span>
-      </div>
+      </span>
     </div>
     <div id="tab-3"> <br />
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 6459)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 6460)
@@ -10,6 +10,5 @@
   </ul>
 </div>
-<form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data">
+<form action="." tal:attributes="action request/URL" method="POST"  class="edit-form" enctype="multipart/form-data">
   <div id="tabs">
     <ul>
@@ -42,82 +41,66 @@
         <tbody>
           <tr tal:repeat="entry context/values" 	class="gradeB"> <td>
-              <input type="checkbox" name="val_id"
-                     tal:attributes="value entry/__name__" /> </td>
+              <input type="checkbox" name="val_id"   tal:attributes="value entry/__name__" /> </td>
             <td tal:content="entry/year">Year </td> <td>
-              <a href="" 	 tal:attributes="href python:view.url(entry)"
-                 tal:content="entry/__name__">Code</a> </td>
+              <a href="" 	 tal:attributes="href python:view.url(entry)"   tal:content="entry/__name__">Code</a> </td>
             <td tal:content="entry/title">Title </td>
           </tr>
         </tbody>
       </table>
-      <div id="actionsView">
-        <span class="actionButtons" tal:condition="view/availableActions">
-          <span tal:repeat="action view/actions" tal:omit-tag="">
-            <input tal:condition="python:action.label in view.taboneactions"
-                   tal:replace="structure action/render"/>
-          </span>
+      <span class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions" tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"   tal:replace="structure action/render"/>
         </span>
-      </div>
+      </span>
     </div>
     <div id="tab-2"> <br />
-        <table class="display dataTableManage">
-            <thead>
-                <tr>
-                    <th>&nbsp;
-                    </th>
-                    <th>User Id
-                    </th>
-                    <th>Name
-                    </th>
-                    <th>Local Role
-                    </th>
-                </tr>
-            </thead>
-            <tbody>
-                <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeB">
-                    <td>
-                        <input type="checkbox" name="role_id" tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />
-                    </td>
-                    <td tal:content="entry/user_name"> USERNAME
-                    </td>
-                    <td tal:content="entry/user_title"> USERTITLE
-                    </td>
-                    <td tal:content="entry/local_role_title"> LOCAL ROLE
-                    </td>
-                </tr>
-            </tbody>
-        </table> <br /><br />
-        <div class="actionButtons" tal:condition="view/availableActions">
-            <span tal:repeat="action view/actions" tal:omit-tag="">
-                <input tal:condition="python:action.label in view.tabtwoactions1" tal:replace="structure action/render"/>
-            </span>
-        </div> <br /><br />
-        <table class="zebra">
-            <tr>
-                <td>
-                    <select id="user" name="user">
-                        <option tal:repeat="user view/getUsers" tal:attributes="value user/name">
-                        <span tal:replace="user/val/description">USERTITLE
-                        </span>
-                        </option>
-                    </select>
-                </td>
-                <td>
-                    <select id="local_role" name="local_role">
-                        <option tal:repeat="localrole view/getLocalRoles" tal:attributes="value localrole/name">
-                        <span tal:replace="localrole/title">LOCALROLETITLE
-                        </span>
-                        </option>
-                    </select>
-                </td>
-                <td>
-                    <div class="actionButtons" tal:condition="view/availableActions">
-                        <span tal:repeat="action view/actions" tal:omit-tag="">
-                            <input tal:condition="python:action.label in view.tabtwoactions2" tal:replace="structure action/render"/>
-                        </span>
-                    </div>
-                </td>
-            </tr>
-        </table>
+      <table class="display dataTableManage">
+        <thead>
+          <tr>
+            <th>&nbsp;
+            </th>
+            <th>User Id
+            </th>
+            <th>Name
+            </th>
+            <th>Local Role
+            </th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeB">  <td>
+              <input type="checkbox" name="role_id" tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />  </td>
+            <td tal:content="entry/user_name"> USERNAME   </td>
+            <td tal:content="entry/user_title"> USERTITLE   </td>
+            <td tal:content="entry/local_role_title"> LOCAL ROLE   </td>
+          </tr>
+        </tbody>
+      </table>
+      <div class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions" tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabtwoactions1" tal:replace="structure action/render"/>
+        </span>
+      </div> <br /><br />
+      <table class="zebra">
+        <tr> <td>
+            <select id="user" name="user">
+              <option tal:repeat="user view/getUsers" tal:attributes="value user/name">
+              <span tal:replace="user/val/description">USERTITLE
+              </span>
+              </option>
+            </select> </td> <td>
+            <select id="local_role" name="local_role">
+              <option tal:repeat="localrole view/getLocalRoles" tal:attributes="value localrole/name">
+              <span tal:replace="localrole/title">LOCALROLETITLE
+              </span>
+              </option>
+            </select> </td> <td>
+            <div tal:condition="view/availableActions">
+              <span tal:repeat="action view/actions" tal:omit-tag="">
+                <input tal:condition="python:action.label in view.tabtwoactions2" tal:replace="structure action/render"/>
+              </span>
+            </div> </td>
+        </tr>
+      </table>
     </div>
   </div>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 6459)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 6460)
@@ -67,10 +67,8 @@
   </p>
 
-  <div id="actionsView">
-    <span class="actionButtons" tal:condition="view/availableActions">
-      <input tal:repeat="action view/actions"
-             tal:replace="structure action/render"
-             />
-    </span>
-  </div>
+  <span class="actionButtons" tal:condition="view/availableActions">
+    <input tal:repeat="action view/actions"
+           tal:replace="structure action/render"
+           />
+  </span>
 </form>