Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 6460)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 6461)
@@ -41,8 +41,8 @@
   </table>
 
-  <span class="actionButtons" tal:condition="view/availableActions">
+  <div class="actionButtons" tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
              tal:replace="structure action/render"
              />
-  </span>
+  </div>
 </form>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6460)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6461)
@@ -1,11 +1,6 @@
-<form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data">
+<form action="." tal:attributes="action request/URL" method="POST"  class="edit-form" enctype="multipart/form-data">
   <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-  <div class="form-status"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
+  <div class="form-status"  tal:define="status view/status"  tal:condition="status"> Form Status:
+    <span i18n:translate="" tal:content="view/status"> Form status summary
     </span>
   </div>
@@ -35,8 +30,9 @@
               <td class="label">
                 <label tal:attributes="for widget/name">
-                  <span class="required" tal:condition="widget/required">*</span>
-                  <span i18n:translate="" tal:content="widget/label">label</span>:
-                </label>
-              </td>
+                  <span class="required" tal:condition="widget/required">*
+                  </span>
+                  <span i18n:translate="" tal:content="widget/label">label
+                  </span>:
+                </label> </td>
               <td class="field">
                 <span class="widget" tal:content="structure widget">
@@ -44,20 +40,20 @@
                 </span>
                 <tal:error tal:condition="widget/error">
-                  <span tal:replace="structure widget/error">error</span>
+                  <span tal:replace="structure widget/error">error
+                  </span>
                 </tal:error>
                 <tal:hint tal:condition="widget/hint">
-                  <span class="hint" tal:content="structure widget/hint">hint</span>
-                </tal:hint>
-              </td>
+                  <span class="hint" tal:content="structure widget/hint">hint
+                  </span>
+                </tal:hint> </td>
             </tr>
           </tal:block>
         </tbody>
       </table>
-    <span class="actionButtons" tal:condition="view/availableActions">
-      <span tal:repeat="action view/actions" tal:omit-tag="">
-        <input tal:condition="python:action.label in view.taboneactions"
-               tal:replace="structure action/render"/>
-      </span>
-    </span>
+      <div class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions" tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"  tal:replace="structure action/render"/>
+        </span>
+      </div>
     </div>
     <div id="tab-2"> <h3>Applicants</h3>
@@ -74,85 +70,67 @@
         </thead>
         <tbody>
-          <tr tal:repeat="appl context/values">
-            <td>
-              <input type="checkbox" name="val_id" tal:attributes="value appl/__name__" />
-            </td>
-            <td>
-              <a tal:attributes="href python: view.url(appl)"
-                 tal:content="appl/__name__"> ID </a>
-            </td>
-            <td>
-              <span tal:replace="appl/state">state</span>
-            </td>
+          <tr tal:repeat="appl context/values"> <td>
+              <input type="checkbox" name="val_id" tal:attributes="value appl/__name__" /> </td> <td>
+              <a tal:attributes="href python: view.url(appl)"  tal:content="appl/__name__"> ID </a> </td> <td>
+              <span tal:replace="appl/state">state
+              </span> </td>
           </tr>
         </tbody>
-      </table><br /><br />
-      <span class="actionButtons" tal:condition="view/availableActions">
+      </table>
+      <div class="actionButtons" tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
-          <input tal:condition="python:action.label in view.tabtwoactions"
-                 tal:replace="structure action/render"/>
+          <input tal:condition="python:action.label in view.tabtwoactions"  tal:replace="structure action/render"/>
         </span>
-      </span>
+      </div>
     </div>
     <div id="tab-3"> <br />
-        <table class="display dataTableManage">
-            <thead>
-                <tr>
-                    <th>&nbsp;
-                    </th>
-                    <th>User Id
-                    </th>
-                    <th>Name
-                    </th>
-                    <th>Local Role
-                    </th>
-                </tr>
-            </thead>
-            <tbody>
-                <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeB">
-                    <td>
-                        <input type="checkbox" name="role_id" tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />
-                    </td>
-                    <td tal:content="entry/user_name"> USERNAME
-                    </td>
-                    <td tal:content="entry/user_title"> USERTITLE
-                    </td>
-                    <td tal:content="entry/local_role_title"> LOCAL ROLE
-                    </td>
-                </tr>
-            </tbody>
-        </table> <br /><br />
-        <div class="actionButtons" tal:condition="view/availableActions">
-            <span tal:repeat="action view/actions" tal:omit-tag="">
-                <input tal:condition="python:action.label in view.tabthreeactions1" tal:replace="structure action/render"/>
-            </span>
-        </div> <br /><br />
-        <table class="zebra">
-            <tr>
-                <td>
-                    <select id="user" name="user">
-                        <option tal:repeat="user view/getUsers" tal:attributes="value user/name">
-                        <span tal:replace="user/val/description">USERTITLE
-                        </span>
-                        </option>
-                    </select>
-                </td>
-                <td>
-                    <select id="local_role" name="local_role">
-                        <option tal:repeat="localrole view/getLocalRoles" tal:attributes="value localrole/name">
-                        <span tal:replace="localrole/title">LOCALROLETITLE
-                        </span>
-                        </option>
-                    </select>
-                </td>
-                <td>
-                    <div class="actionButtons" tal:condition="view/availableActions">
-                        <span tal:repeat="action view/actions" tal:omit-tag="">
-                            <input tal:condition="python:action.label in view.tabthreeactions2" tal:replace="structure action/render"/>
-                        </span>
-                    </div>
-                </td>
-            </tr>
-        </table>
+      <table class="display dataTableManage">
+        <thead>
+          <tr>
+            <th>&nbsp;
+            </th>
+            <th>User Id
+            </th>
+            <th>Name
+            </th>
+            <th>Local Role
+            </th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeB"> <td>
+              <input type="checkbox" name="role_id" tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
+            <td tal:content="entry/user_name"> USERNAME  </td>
+            <td tal:content="entry/user_title"> USERTITLE  </td>
+            <td tal:content="entry/local_role_title"> LOCAL ROLE  </td>
+          </tr>
+        </tbody>
+      </table>
+      <div class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions" tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabthreeactions1" tal:replace="structure action/render"/>
+        </span>
+      </div> <br /><br />
+      <table class="zebra">
+        <tr> <td>
+            <select id="user" name="user">
+              <option tal:repeat="user view/getUsers" tal:attributes="value user/name">
+              <span tal:replace="user/val/description">USERTITLE
+              </span>
+              </option>
+            </select> </td> <td>
+            <select id="local_role" name="local_role">
+              <option tal:repeat="localrole view/getLocalRoles" tal:attributes="value localrole/name">
+              <span tal:replace="localrole/title">LOCALROLETITLE
+              </span>
+              </option>
+            </select> </td> <td>
+            <div tal:condition="view/availableActions">
+              <span tal:repeat="action view/actions" tal:omit-tag="">
+                <input tal:condition="python:action.label in view.tabthreeactions2" tal:replace="structure action/render"/>
+              </span>
+            </div> </td>
+        </tr>
+      </table>
     </div>
   </div>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 6460)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 6461)
@@ -48,9 +48,9 @@
         </tbody>
       </table>
-      <span class="actionButtons" tal:condition="view/availableActions">
+      <div class="actionButtons" tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
           <input tal:condition="python:action.label in view.taboneactions"   tal:replace="structure action/render"/>
         </span>
-      </span>
+      </div>
     </div>
     <div id="tab-2"> <br />
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 6460)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 6461)
@@ -60,15 +60,15 @@
   </table>
 
-  <p tal:condition="not: view/manage_applications">
+  <div tal:condition="not: view/manage_applications">
     <input class="checkboxType" id="confirm_passport" name="confirm_passport"
            type="checkbox" value="True"/>
     I confirm that the Passport Photograph uploaded on this form is a
     true picture of me.
-  </p>
+  </div>
 
-  <span class="actionButtons" tal:condition="view/availableActions">
+  <div class="actionButtons" tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
            tal:replace="structure action/render"
            />
-  </span>
+  </div>
 </form>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 6460)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 6461)
@@ -47,11 +47,11 @@
       </tbody>
       </table>
-      <span class="actionButtons" tal:condition="view/availableActions">
-          <span tal:repeat="action view/actions"
-                tal:omit-tag="">
-            <input tal:condition="python:action.label in view.taboneactions"
-                   tal:replace="structure action/render"/>
-          </span>
-      </span>
+      <div class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
+        </span>
+      </div>
 
 </div>    
@@ -104,5 +104,5 @@
     </tbody>
   </table>
-  <span class="actionButtons" tal:condition="view/availableActions">
+  <div class="actionButtons" tal:condition="view/availableActions">
     <span tal:repeat="action view/actions"
           tal:omit-tag="">
@@ -110,5 +110,5 @@
              tal:replace="structure action/render"/>
     </span>
-  </span>
+  </div>
   
 </div>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 6460)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 6461)
@@ -40,8 +40,8 @@
     </tbody>
   </table>
-  <span class="actionButtons" tal:condition="view/availableActions">
+  <div class="actionButtons" tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
            tal:replace="structure action/render"
            />
-  </span>
+  </div>
 </form>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt	(revision 6460)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt	(revision 6461)
@@ -56,4 +56,4 @@
     </table>
     <br /><br />
-    </div> 
+    </div>
 </div>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainermanagepage.pt	(revision 6460)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainermanagepage.pt	(revision 6461)
@@ -51,5 +51,5 @@
         </tbody>
       </table>
-      <span class="actionButtons" tal:condition="view/availableActions">
+      <div class="actionButtons" tal:condition="view/availableActions">
         <span tal:repeat="action view/actions"
               tal:omit-tag="">
@@ -57,5 +57,5 @@
                  tal:replace="structure action/render"/>
         </span>
-      </span>
+      </div>
 
     </div>