Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py	(revision 6470)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py	(revision 6471)
@@ -139,5 +139,5 @@
             if 'disable' in form:
                 try:
-                    comment = u"Disabled by %s" % self.request.principal.id
+                    comment = u"AC disabled"
                     self.context.disable(entry, comment)
                     self.flash('%s disabled.' % entry)
@@ -146,5 +146,5 @@
             elif 'enable' in form:
                 try:
-                    comment = u"Re-enabled by %s" % self.request.principal.id
+                    comment = u"AC re-enabled"
                     self.context.enable(entry, comment)
                     self.flash('%s (re-)enabled.' % entry)
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscodes.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscodes.py	(revision 6470)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscodes.py	(revision 6471)
@@ -192,5 +192,5 @@
         history = IObjectHistory(self.ac1)
         msgs = history.messages
-        assert msgs[-1].endswith('Used by system')
+        assert msgs[-1].endswith('AC used by system')
 
 class AccessCodeTests(FunctionalTestCase):
@@ -236,5 +236,5 @@
         # Access codes have a history.
         match = re.match(
-            '^../../.... ..:..:.. - Initialized by system',
+            '^....-..-.. ..:..:.. - AC initialized by system',
             self.ac1.history)
         assert match is not None
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/workflow.py	(revision 6470)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/workflow.py	(revision 6471)
@@ -120,10 +120,8 @@
 def handle_accesscode_transition_event(obj, event):
     # append message to history
-    timestamp = datetime.now().strftime("%d/%m/%Y %H:%M:%S")
-    msg = '%s -' % timestamp
     if event.comment is not None:
-        msg = '%s %s' % (msg, event.comment)
+        msg = '%s' % event.comment
     else:
-        msg = '%s %s by system' % (msg,event.destination.title())
+        msg = 'AC %s' % event.destination
 
     history = IObjectHistory(obj)
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6470)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6471)
@@ -429,8 +429,8 @@
             pass
         else:
-            comment = u"Invalidated by applicant"
+            comment = u"AC invalidated"
             # Here we know that the ac is in state initialized so we do not
             # expect an exception
-            invalidate_accesscode(pin, comment)
+            invalidate_accesscode(pin,comment)
 
         if not pin in self.context.keys():
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py	(revision 6470)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py	(revision 6471)
@@ -22,5 +22,5 @@
         source = None,
         condition = NullCondition,
-        msg = 'application process initialized',
+        msg = 'Application initialized',
         destination = INITIALIZED),
 
@@ -28,5 +28,5 @@
         transition_id = 'start',
         title = 'Start application',
-        msg = 'application process started',
+        msg = 'Application started',
         source = INITIALIZED,
         destination = STARTED),
@@ -35,5 +35,5 @@
         transition_id = 'submit',
         title = 'Submit application',
-        msg = 'application record submitted',
+        msg = 'Application submitted',
         source = STARTED,
         destination = SUBMITTED),
@@ -42,5 +42,5 @@
         transition_id = 'admit',
         title = 'Admit applicant',
-        msg = 'applicant admitted',
+        msg = 'Applicant admitted',
         source = SUBMITTED,
         destination = ADMITTED),
@@ -49,5 +49,5 @@
         transition_id = 'refuse1',
         title = 'Refuse application',
-        msg = 'application refused',
+        msg = 'Application refused',
         source = SUBMITTED,
         destination = NOT_ADMITTED),
@@ -56,5 +56,5 @@
         transition_id = 'refuse2',
         title = 'Refuse application',
-        msg = 'application refused',
+        msg = 'Application refused',
         source = ADMITTED,
         destination = NOT_ADMITTED),
@@ -63,5 +63,5 @@
         transition_id = 'create',
         title = 'Create student record',
-        msg = 'student record created',
+        msg = 'Student record created',
         source = ADMITTED,
         destination = CREATED),
@@ -70,5 +70,5 @@
         transition_id = 'reset1',
         title = 'Reset application',
-        msg = 'application record reset',
+        msg = 'Application reset',
         source = SUBMITTED,
         destination = STARTED),
@@ -77,5 +77,5 @@
         transition_id = 'reset2',
         title = 'Reset application',
-        msg = 'application record reset',
+        msg = 'Application reset',
         source = ADMITTED,
         destination = STARTED),
@@ -84,5 +84,5 @@
         transition_id = 'reset3',
         title = 'Reset application',
-        msg = 'application record reset',
+        msg = 'Application reset',
         source = NOT_ADMITTED,
         destination = STARTED),
@@ -91,5 +91,5 @@
         transition_id = 'reset4',
         title = 'Reset application',
-        msg = 'application record reset',
+        msg = 'Application reset',
         source = CREATED,
         destination = STARTED),
@@ -119,9 +119,7 @@
 @grok.subscribe(IApplicantBaseData, IWorkflowTransitionEvent)
 def handle_applicant_transition_event(obj, event):
-    """Append message to applicant when transition happened.
+    """Append message to applicant history when transition happened.
     """
-    timestamp = datetime.now().strftime("%d/%m/%Y %H:%M:%S")
-    msg = '%s - %s (new state: %s)' % (
-        timestamp, event.transition.user_data['msg'], event.destination)
+    msg = '%s' % event.transition.user_data['msg']
     history = IObjectHistory(obj)
     history.addMessage(msg)
Index: main/waeup.sirp/trunk/src/waeup/sirp/objecthistory.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/objecthistory.py	(revision 6470)
+++ main/waeup.sirp/trunk/src/waeup/sirp/objecthistory.py	(revision 6471)
@@ -64,7 +64,9 @@
         if user is None:
             user = 'system'
+        elif user.title == 'Applicant':
+            user = 'applicant'
         else:
-            user = '%s (%s)' % (user.id, user.title)
-        msg = '%s - %s - %s' % (timestamp, user, msg)
+            user = user.id
+        msg = '%s - %s by %s' % (timestamp, msg, user)
         msgs.append(msg)
         self._annotations[self.history_key] = msgs
Index: main/waeup.sirp/trunk/src/waeup/sirp/tests/test_objecthistory.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/tests/test_objecthistory.py	(revision 6470)
+++ main/waeup.sirp/trunk/src/waeup/sirp/tests/test_objecthistory.py	(revision 6471)
@@ -63,5 +63,5 @@
         hist.addMessage('blah')
         result = ''.join(hist.messages)
-        self.assertMatches('<YYYY-MM-DD hh:mm:ss> - system - blah', result)
+        self.assertMatches('<YYYY-MM-DD hh:mm:ss> - blah by system', result)
 
     def test_add_messages_existing_principal(self):
@@ -72,5 +72,5 @@
         hist.addMessage('blah')
         result = ''.join(hist.messages)
-        self.assertMatches('<YYYY-MM-DD hh:mm:ss> - bob (Bob) - blah', result)
+        self.assertMatches('<YYYY-MM-DD hh:mm:ss> - blah by bob', result)
 
     def test_messages(self):