Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py	(revision 6480)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py	(revision 6481)
@@ -27,6 +27,5 @@
 from hurry.query.interfaces import IQuery
 from zope.component import getUtility
-from waeup.sirp.interfaces import IWAeUPSIRPPluggable
-from waeup.sirp.utils.logger import ISiteLoggers
+from waeup.sirp.interfaces import IWAeUPSIRPPluggable, ISiteLoggers
 from waeup.sirp.applicants.interfaces import IApplicantsRoot
 from waeup.sirp.utils.helpers import get_current_principal
@@ -59,5 +58,6 @@
         else:
             user = user.id
-        self.logger.info('%s - %s - %s  - %s' % (user, target, ob_class, comment))
+        self.logger.info('%s - %s - %s  - %s' % (
+                user, target, ob_class, comment))
 
 class ApplicantsPlugin(grok.GlobalUtility):
Index: main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 6480)
+++ main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 6481)
@@ -448,2 +448,44 @@
         """
         pass
+
+class ISiteLoggers(Interface):
+
+    loggers = Attribute("A list or generator of registered WAeUPLoggers")
+
+    def register(name, filename=None, site=None, **options):
+        """Register a logger `name` which logs to `filename`.
+
+        If `filename` is not given, logfile will be `name` with
+        ``.log`` as filename extension.
+        """
+
+    def unregister(name):
+        """Unregister a once registered logger.
+        """
+
+class ILogger(Interface):
+    """A logger cares for setup, update and restarting of a Python logger.
+    """
+
+    logger = Attribute("""A :class:`logging.Logger` instance""")
+
+
+    def __init__(name, filename=None, site=None, **options):
+        """Create a WAeUP logger instance.
+        """
+        pass
+
+    def setup():
+        """Create a Python :class:`logging.Logger` instance.
+
+        The created logger is based on the params given by constructor.
+        """
+        pass
+
+    def update(**options):
+        """Update the logger.
+
+        Updates the logger respecting modified `options` and changed
+        paths.
+        """
+
Index: main/waeup.sirp/trunk/src/waeup/sirp/utils/logger.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/utils/logger.py	(revision 6480)
+++ main/waeup.sirp/trunk/src/waeup/sirp/utils/logger.py	(revision 6481)
@@ -27,19 +27,5 @@
 import logging
 from zope.interface import Interface, Attribute
-
-class ISiteLoggers(Interface):
-
-    loggers = Attribute("A list or generator of registered WAeUPLoggers")
-
-    def register(name, filename=None, site=None, **options):
-        """Register a logger `name` which logs to `filename`.
-
-        If `filename` is not given, logfile will be `name` with
-        ``.log`` as filename extension.
-        """
-
-    def unregister(name):
-        """Unregister a once registered logger.
-        """
+from waeup.sirp.interfaces import ISiteLoggers, ILogger
 
 class SiteLoggers(object):
@@ -72,30 +58,4 @@
     def keys(self):
         return self._loggers.keys()
-
-class ILogger(Interface):
-    """A logger cares for setup, update and restarting of a Python logger.
-    """
-
-    logger = Attribute("""A :class:`logging.Logger` instance""")
-
-
-    def __init__(name, filename=None, site=None, **options):
-        """Create a WAeUP logger instance.
-        """
-        pass
-
-    def setup():
-        """Create a Python :class:`logging.Logger` instance.
-
-        The created logger is based on the params given by constructor.
-        """
-        pass
-
-    def update(**options):
-        """Update the logger.
-
-        Updates the logger respecting modified `options` and changed
-        paths.
-        """
 
 class WAeUPLogger(object):
Index: main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_logger.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_logger.py	(revision 6480)
+++ main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_logger.py	(revision 6481)
@@ -30,7 +30,8 @@
 from zope.interface.verify import verifyClass, verifyObject
 from waeup.sirp.app import University
+from waeup.sirp.interfaces import ISiteLoggers, ILogger
 from waeup.sirp.testing import FunctionalLayer, doctestsuite_for_module
 from waeup.sirp.utils.logger import (
-    ISiteLoggers, ILogger, SiteLoggers, WAeUPLogger, SiteLoggersRepository)
+    SiteLoggers, WAeUPLogger, SiteLoggersRepository)
 
 class SiteLoggersTests(FunctionalTestCase):