Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes.rst	(revision 6491)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes.rst	(revision 6491)
@@ -0,0 +1,17 @@
+`waeup.sirp.accesscodes` -- Access Codes
+****************************************
+
+.. automodule:: waeup.sirp.accesscodes
+   :members:
+   :undoc-members:
+
+This package contains the following modules:
+
+.. toctree::
+   :maxdepth: 1
+
+   api_accesscodes_accesscodes
+   api_accesscodes_browser
+   api_accesscodes_catalog
+   api_accesscodes_interfaces
+   api_accesscodes_workflow
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_accesscodes.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_accesscodes.rst	(revision 6491)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_accesscodes.rst	(revision 6491)
@@ -0,0 +1,8 @@
+`waeup.sirp.accesscodes.accesscodes` -- Access Codes
+****************************************************
+
+.. py:module:: waeup.sirp.accesscodes
+
+.. automodule:: waeup.sirp.accesscodes.accesscodes
+   :members:
+   :undoc-members:
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_browser.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_browser.rst	(revision 6491)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_browser.rst	(revision 6491)
@@ -0,0 +1,8 @@
+`waeup.sirp.accesscodes.browser` -- UI components
+*************************************************
+
+.. py:module:: waeup.sirp.accesscodes
+
+.. automodule:: waeup.sirp.accesscodes.browser
+   :members:
+   :undoc-members:
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_catalog.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_catalog.rst	(revision 6491)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_catalog.rst	(revision 6491)
@@ -0,0 +1,8 @@
+`waeup.sirp.accesscodes.catalog` -- The accesscodes catalog
+***********************************************************
+
+.. py:module:: waeup.sirp.accesscodes
+
+.. automodule:: waeup.sirp.accesscodes.catalog
+   :members:
+   :undoc-members:
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_interfaces.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_interfaces.rst	(revision 6491)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_interfaces.rst	(revision 6491)
@@ -0,0 +1,8 @@
+`waeup.sirp.accesscodes.interfaces` -- The accesscodes interfaces
+*****************************************************************
+
+.. py:module:: waeup.sirp.accesscodes
+
+.. automodule:: waeup.sirp.accesscodes.interfaces
+   :members:
+   :undoc-members:
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_workflow.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_workflow.rst	(revision 6491)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_workflow.rst	(revision 6491)
@@ -0,0 +1,8 @@
+`waeup.sirp.accesscodes.workflow` - Workflows for accesscodes
+*************************************************************
+
+.. py:module:: waeup.sirp.accesscodes
+
+.. automodule:: waeup.sirp.accesscodes.workflow
+   :members:
+   :undoc-members:
Index: in/waeup.sirp/trunk/docs/source/developerdocs/api/api_tables.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_tables.rst	(revision 6490)
+++ 	(revision )
@@ -1,5 +1,0 @@
-`waeup.sirp.tables` -- Autogenerated tables for containers
-**********************************************************
-
-.. automodule:: waeup.sirp.tables
-   :members:
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/index.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/index.rst	(revision 6490)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/index.rst	(revision 6491)
@@ -10,4 +10,5 @@
    :maxdepth: 1
 
+   api_accesscodes
    api_app
    api_applicants
@@ -18,5 +19,4 @@
    api_interfaces
    api_permissions
-   api_tables
    api_users
    api_workflow