Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants.rst	(revision 6499)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants.rst	(revision 6500)
@@ -1,14 +1,16 @@
-`waeup.sirp.applicants` -- University Applicants
-*************************************************
+`.applicants` - University Application Package
+*********************************************
 
 .. automodule:: waeup.sirp.applicants
-   :members:
 
-This package contains the following submodules:
+Submodules
+----------
+
+This package bundles the following submodules:
 
 .. toctree::
    :maxdepth: 1
 
-   api_applicants_root
-   api_applicants_container
-   api_applicants_interfaces
+   applicants/api_root
+   applicants/api_container
+   applicants/api_interfaces
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_container.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_container.rst	(revision 6499)
+++ 	(revision )
@@ -1,18 +1,0 @@
-`waeup.sirp.applicants.container`
-********************************
-
-.. automodule:: waeup.sirp.applicants.container
-
-ApplicantsContainer
-===================
-
-.. autoclass:: waeup.sirp.applicants.container.ApplicantsContainer
-   :members:
-   :undoc-members:
-
-ApplicantsContainerProvider
-===========================
-
-.. autoclass:: waeup.sirp.applicants.container.ApplicantsContainerProvider
-   :members:
-   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_interfaces.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_interfaces.rst	(revision 6499)
+++ 	(revision )
@@ -1,18 +1,0 @@
-`waeup.sirp.applicants.interfaces`
-*********************************
-
-.. automodule:: waeup.sirp.applicants.interfaces
-   :members:
-
-IApplicantsRoot
-===============
-
-.. autointerface:: IApplicantsRoot
-   :members:
-
-
-IApplicantsContainer
-====================
-
-.. autointerface:: IApplicantsContainer
-   :members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_root.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants_root.rst	(revision 6499)
+++ 	(revision )
@@ -1,19 +1,0 @@
-`waeup.sirp.applicants.root` -- University Applicants Root
-***********************************************************
-
-.. automodule:: waeup.sirp.applicants.root
-
-ApplicantsRoot -- The root of applicants in a site
-======================================================
-
-.. autoclass:: waeup.sirp.applicants.root.ApplicantsRoot
-   :members:
-   :undoc-members:
-
-ApplicantsPlugin -- A plugin to setup/update an :class:`ApplicantsRoot`
-===========================================================================
-
-.. autoclass:: waeup.sirp.applicants.root.ApplicantsPlugin
-   :members:
-   :undoc-members:
-
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/__init__.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/__init__.py	(revision 6499)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/__init__.py	(revision 6500)
@@ -10,12 +10,12 @@
     )
 
-__all__ = (
-    ResultEntry,
-    Applicant,
-    ApplicantFactory,
-    ApplicantsContainer,
-    ApplicantsRoot,
-    ApplicantTraverser,
-    application_exists,
-    get_applicant_data,
-    )
+__all__ = [
+    'ResultEntry',
+    'Applicant',
+    'ApplicantFactory',
+    'ApplicantsContainer',
+    'ApplicantsRoot',
+    'ApplicantTraverser',
+    'application_exists',
+    'get_applicant_data',
+    ]
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 6499)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 6500)
@@ -20,5 +20,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Interfaces regarding student applicants and related components.
+"""Interfaces of the university application package.
 """
 import os
@@ -509,6 +509,5 @@
     .. THE FOLLOWING SHOULD GO INTO SPHINX DOCS (and be tested)
 
-    Samples
-    *******
+    Samples:
 
     Given, you had an IApplicantsContainer implementation somewhere
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py	(revision 6499)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py	(revision 6500)
@@ -60,4 +60,5 @@
         self.logger.info('%s - %s - %s  - %s' % (
                 user, target, ob_class, comment))
+        return
 
 class ApplicantsPlugin(grok.GlobalUtility):