Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_app.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_app.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_app.rst	(revision 6505)
@@ -1,5 +1,6 @@
-`waeup.sirp.app` -- Main application object
-*******************************************
+`app` -- University Root (Site) Module
+**************************************
 
 .. automodule:: waeup.sirp.app
    :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_applicants.rst	(revision 6505)
@@ -1,6 +1,12 @@
-`.applicants` - University Application Package
+`applicants` - Application Components Package
 *********************************************
 
+(see also: :ref:`api-applicants-modules`)
+
 .. automodule:: waeup.sirp.applicants
+   :members:
+   :undoc-members:
+
+.. _api-applicants-modules:
 
 Submodules
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_authentication.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_authentication.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_authentication.rst	(revision 6505)
@@ -1,5 +1,6 @@
-`waeup.sirp.authentication` -- Main application object
-******************************************************
+`authentication` -- Authentication Components Module
+****************************************************
 
 .. automodule:: waeup.sirp.authentication
    :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_catalog.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_catalog.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_catalog.rst	(revision 6505)
@@ -1,5 +1,6 @@
-`waeup.sirp.catalog` -- Cataloging Components
-*********************************************
+`catalog` -- Cataloging Components Module
+*****************************************
 
 .. automodule:: waeup.sirp.catalog
    :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_datacenter.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_datacenter.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_datacenter.rst	(revision 6505)
@@ -1,5 +1,6 @@
-`waeup.sirp.datacenter` -- The SIRP datacenter
-**********************************************
+`datacenter` -- Datacenter Module
+*********************************
 
 .. automodule:: waeup.sirp.datacenter
    :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_interfaces.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_interfaces.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_interfaces.rst	(revision 6505)
@@ -1,29 +1,10 @@
-`waeup.sirp.interfaces` - Main interfaces for SIRP components
-*************************************************************
+`interfaces` - Main Interfaces Module
+*************************************
 
 .. automodule:: waeup.sirp.interfaces
    :members:
+   :undoc-members:
 
-IWAeUPObject - Base interface for WAeUP objects
-===============================================
-
-.. autointerface:: IWAeUPObject
+.. autointerface:: waeup.sirp.interfaces.IUniversity
    :members:
-
-IUniversity - The main :mod:`waeup.sirp` component
-==================================================
-
-.. autointerface:: IUniversity
-   :members:
-
-IWAeUPContainer - A WAeUP-specific Container
-============================================
-
-.. autointerface:: IWAeUPContainer
-   :members:
-
-IWAeUPSIRPPluggable - A Plugin for :mod:`waeup.sirp` sites
-==========================================================
-
-.. autointerface:: waeup.sirp.interfaces.IWAeUPSIRPPluggable
-   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_permissions.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_permissions.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_permissions.rst	(revision 6505)
@@ -1,5 +1,6 @@
-`waeup.sirp.permissions` -- Permissions and Roles
-*************************************************
+`permissions` -- Permissions and Roles Components Module
+********************************************************
 
 .. automodule:: waeup.sirp.permissions
    :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_users.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_users.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_users.rst	(revision 6505)
@@ -1,5 +1,6 @@
-`waeup.sirp.users` -- Users (Principals) and Related
-****************************************************
+`users` -- Users (Principals) Module
+************************************
 
 .. automodule:: waeup.sirp.users
    :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_workflow.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_workflow.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_workflow.rst	(revision 6505)
@@ -1,5 +1,6 @@
-`waeup.sirp.workflow` -- Workflows for `waeup.sirp` objects
-***********************************************************
+`workflow` -- Workflow Components Module
+****************************************
 
 .. automodule:: waeup.sirp.workflow
    :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/applicants/api_container.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/applicants/api_container.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/applicants/api_container.rst	(revision 6505)
@@ -1,4 +1,4 @@
-`.applicants.container` - Containers for Applicants
-**************************************************
+`applicants.container` - Container for Applicants
+*************************************************
 
 .. automodule:: waeup.sirp.applicants.container
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/applicants/api_interfaces.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/applicants/api_interfaces.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/applicants/api_interfaces.rst	(revision 6505)
@@ -1,4 +1,4 @@
-`.applicants.interfaces` - University Application Related Interfaces
-*******************************************************************
+`applicants.interfaces` - Applicants Related Interfaces
+*******************************************************
 
 .. automodule:: waeup.sirp.applicants.interfaces
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/applicants/api_root.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/applicants/api_root.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/applicants/api_root.rst	(revision 6505)
@@ -1,4 +1,4 @@
-`.applicants.root` - Root for Application Containers
-***************************************************
+`applicants.root` - Root for Applicants Containers
+**************************************************
 
 .. automodule:: waeup.sirp.applicants.root
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/index.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/index.rst	(revision 6501)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/index.rst	(revision 6505)
@@ -1,22 +1,28 @@
-`waeup.sirp` API
-****************
+API
+***
 
 .. automodule:: waeup.sirp
    :members:
 
-This package provides the following subpackages:
+Modules and Packages
+--------------------
+
+`waeup.sirp` provides the following modules and subpackages:
 
 .. toctree::
    :maxdepth: 1
 
-   api_accesscodes
    api_app
+   api_interfaces
+   api_authentication
+   api_catalog
+   api_permissions
+   api_datacenter
+   api_users
+   api_workflow
+   api_university
+   api_browser
    api_applicants
    api_accesscodes
-   api_authentication
-   api_catalog
-   api_datacenter
-   api_interfaces
-   api_permissions
-   api_users
-   api_workflow
+   api_utils
+