Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_browser.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_browser.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_browser.rst	(revision 6506)
@@ -0,0 +1,20 @@
+`browser` -- Viewing Components Package
+***************************************
+
+(see also: :ref:`api-browser-modules`)
+
+.. automodule:: waeup.sirp.browser
+   :members:
+   :undoc-members:
+
+.. _api-browser-modules:
+
+Submodules
+----------
+
+This package bundles the following modules:
+
+.. toctree::
+   :maxdepth: 1
+
+   browser/api_pages.rst
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_university.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_university.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_university.rst	(revision 6506)
@@ -0,0 +1,30 @@
+`university` -- University Components Package
+*********************************************
+
+(see also: :ref:`api-university-modules`)
+
+.. automodule:: waeup.sirp.university
+   :members:
+   :undoc-members:
+
+.. _api-university-modules:
+
+Submodules
+----------
+
+This package bundles the following modules:
+
+.. toctree::
+   :maxdepth: 1
+
+   university/api_interfaces
+   university/api_catalog
+   university/api_vocabularies
+   university/api_batching
+   university/api_facultycontainer
+   university/api_faculty
+   university/api_department
+   university/api_certificatecontainer
+   university/api_coursecontainer
+   university/api_course
+   university/api_certificate
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_utils.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_utils.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_utils.rst	(revision 6506)
@@ -0,0 +1,19 @@
+`utils` -- Utilities Package
+****************************
+
+(see also: :ref:`api-utils-modules`)
+
+.. automodule:: waeup.sirp.utils
+   :members:
+   :undoc-members:
+
+.. _api-utils-modules:
+
+Submodules
+----------
+
+This package bundles the following modules:
+
+.. toctree::
+   :maxdepth: 1
+
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_pages.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_pages.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_pages.rst	(revision 6506)
@@ -0,0 +1,7 @@
+`browser.pages` - Browser Pages (Views)
+***************************************
+
+.. automodule:: waeup.sirp.browser.pages
+   :members:
+   :undoc-members:
+
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_batching.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_batching.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_batching.rst	(revision 6506)
@@ -0,0 +1,6 @@
+`university.batching` - Importer Components
+*******************************************
+
+.. automodule:: waeup.sirp.university.batching
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_catalog.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_catalog.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_catalog.rst	(revision 6506)
@@ -0,0 +1,6 @@
+`university.catalog` - Cataloging Components
+********************************************
+
+.. automodule:: waeup.sirp.university.catalog
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_certificate.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_certificate.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_certificate.rst	(revision 6506)
@@ -0,0 +1,6 @@
+`university.certificate` - Certificate Components
+*************************************************
+
+.. automodule:: waeup.sirp.university.certificate
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_certificatecontainer.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_certificatecontainer.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_certificatecontainer.rst	(revision 6506)
@@ -0,0 +1,6 @@
+`university.certificatecontainer` - Certificate Container Components
+********************************************************************
+
+.. automodule:: waeup.sirp.university.certificatecontainer
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_course.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_course.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_course.rst	(revision 6506)
@@ -0,0 +1,6 @@
+`university.course` - Course Components
+***************************************
+
+.. automodule:: waeup.sirp.university.course
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_coursecontainer.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_coursecontainer.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_coursecontainer.rst	(revision 6506)
@@ -0,0 +1,6 @@
+`university.coursecontainer` - Course Container Components
+**********************************************************
+
+.. automodule:: waeup.sirp.university.coursecontainer
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_department.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_department.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_department.rst	(revision 6506)
@@ -0,0 +1,6 @@
+`university.department` - Department Components
+***********************************************
+
+.. automodule:: waeup.sirp.university.department
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_faculty.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_faculty.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_faculty.rst	(revision 6506)
@@ -0,0 +1,6 @@
+`university.faculty` - Faculty Components
+*****************************************
+
+.. automodule:: waeup.sirp.university.faculty
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_facultycontainer.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_facultycontainer.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_facultycontainer.rst	(revision 6506)
@@ -0,0 +1,6 @@
+`university.facultycontainer` - Faculty Container Components
+************************************************************
+
+.. automodule:: waeup.sirp.university.facultycontainer
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_interfaces.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_interfaces.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_interfaces.rst	(revision 6506)
@@ -0,0 +1,45 @@
+`university.interfaces` - Interfaces of the University Package
+**************************************************************
+
+.. automodule:: waeup.sirp.university.interfaces
+   :members:
+   :undoc-members:
+
+.. autointerface:: waeup.sirp.university.interfaces.IFaculty
+   :members:
+
+.. autointerface:: waeup.sirp.university.interfaces.IFacultyAdd
+   :members:
+
+.. autointerface:: waeup.sirp.university.interfaces.IFacultyContainer
+   :members:
+
+.. autointerface:: waeup.sirp.university.interfaces.IDepartment
+   :members:
+
+.. autointerface:: waeup.sirp.university.interfaces.IDepartmentAdd
+   :members:
+
+.. autointerface:: waeup.sirp.university.interfaces.ICourseContainer
+   :members:
+
+.. autointerface:: waeup.sirp.university.interfaces.ICourse
+   :members:
+
+.. autointerface:: waeup.sirp.university.interfaces.ICourseAdd
+   :members:
+
+.. autointerface:: waeup.sirp.university.interfaces.ICertificate
+   :members:
+
+.. autointerface:: waeup.sirp.university.interfaces.ICertificateAdd
+   :members:
+
+.. autointerface:: waeup.sirp.university.interfaces.ICertificateContainer
+   :members:
+
+.. autointerface:: waeup.sirp.university.interfaces.ICertificateCourse
+   :members:
+
+.. autointerface:: waeup.sirp.university.interfaces.ICertificateCourseAdd
+   :members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_vocabularies.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_vocabularies.rst	(revision 6506)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/university/api_vocabularies.rst	(revision 6506)
@@ -0,0 +1,6 @@
+`university.vocabularies` - Vocabularies and Sources
+****************************************************
+
+.. automodule:: waeup.sirp.university.vocabularies
+   :members:
+   :undoc-members: