Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_accesscodes.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_accesscodes.rst	(revision 6514)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_accesscodes.rst	(revision 6514)
@@ -0,0 +1,6 @@
+`waeup.sirp.accesscodes.accesscodes` -- Access Codes
+****************************************************
+
+.. automodule:: waeup.sirp.accesscodes.accesscodes
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_browser.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_browser.rst	(revision 6514)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_browser.rst	(revision 6514)
@@ -0,0 +1,6 @@
+`waeup.sirp.accesscodes.browser` -- UI components
+*************************************************
+
+.. automodule:: waeup.sirp.accesscodes.browser
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_catalog.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_catalog.rst	(revision 6514)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_catalog.rst	(revision 6514)
@@ -0,0 +1,8 @@
+`waeup.sirp.accesscodes.catalog` -- The accesscodes catalog
+***********************************************************
+
+.. py:module:: waeup.sirp.accesscodes.catalog
+
+.. automodule:: waeup.sirp.accesscodes.catalog
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_interfaces.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_interfaces.rst	(revision 6514)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_interfaces.rst	(revision 6514)
@@ -0,0 +1,14 @@
+`waeup.sirp.accesscodes.interfaces` -- The accesscodes interfaces
+*****************************************************************
+
+.. automodule:: waeup.sirp.accesscodes.interfaces
+   :members:
+   :undoc-members:
+
+
+   .. autointerface:: IAccessCode
+      :members:
+   .. autointerface:: IAccessCodeBatch
+      :members:
+   .. autointerface:: IAccessCodeBatchContainer
+      :members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_workflow.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_workflow.rst	(revision 6514)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_workflow.rst	(revision 6514)
@@ -0,0 +1,6 @@
+`waeup.sirp.accesscodes.workflow` - Workflows for accesscodes
+*************************************************************
+
+.. automodule:: waeup.sirp.accesscodes.workflow
+   :members:
+   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_accesscodes.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_accesscodes.rst	(revision 6513)
+++ 	(revision )
@@ -1,6 +1,0 @@
-`waeup.sirp.accesscodes.accesscodes` -- Access Codes
-****************************************************
-
-.. automodule:: waeup.sirp.accesscodes.accesscodes
-   :members:
-   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_browser.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_browser.rst	(revision 6513)
+++ 	(revision )
@@ -1,6 +1,0 @@
-`waeup.sirp.accesscodes.browser` -- UI components
-*************************************************
-
-.. automodule:: waeup.sirp.accesscodes.browser
-   :members:
-   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_catalog.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_catalog.rst	(revision 6513)
+++ 	(revision )
@@ -1,8 +1,0 @@
-`waeup.sirp.accesscodes.catalog` -- The accesscodes catalog
-***********************************************************
-
-.. py:module:: waeup.sirp.accesscodes.catalog
-
-.. automodule:: waeup.sirp.accesscodes.catalog
-   :members:
-   :undoc-members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_interfaces.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_interfaces.rst	(revision 6513)
+++ 	(revision )
@@ -1,14 +1,0 @@
-`waeup.sirp.accesscodes.interfaces` -- The accesscodes interfaces
-*****************************************************************
-
-.. automodule:: waeup.sirp.accesscodes.interfaces
-   :members:
-   :undoc-members:
-
-
-   .. autointerface:: IAccessCode
-      :members:
-   .. autointerface:: IAccessCodeBatch
-      :members:
-   .. autointerface:: IAccessCodeBatchContainer
-      :members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_workflow.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes_workflow.rst	(revision 6513)
+++ 	(revision )
@@ -1,6 +1,0 @@
-`waeup.sirp.accesscodes.workflow` - Workflows for accesscodes
-*************************************************************
-
-.. automodule:: waeup.sirp.accesscodes.workflow
-   :members:
-   :undoc-members: