Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes.rst	(revision 6515)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes.rst	(revision 6515)
@@ -0,0 +1,6 @@
+`accesscodes.accesscodes` -- AC Components
+******************************************
+
+.. automodule:: waeup.sirp.accesscodes.accesscodes
+   :members:
+   :undoc-members:
Index: in/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_accesscodes.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_accesscodes.rst	(revision 6514)
+++ 	(revision )
@@ -1,6 +1,0 @@
-`waeup.sirp.accesscodes.accesscodes` -- Access Codes
-****************************************************
-
-.. automodule:: waeup.sirp.accesscodes.accesscodes
-   :members:
-   :undoc-members:
Index: in/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_browser.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_browser.rst	(revision 6514)
+++ 	(revision )
@@ -1,6 +1,0 @@
-`waeup.sirp.accesscodes.browser` -- UI components
-*************************************************
-
-.. automodule:: waeup.sirp.accesscodes.browser
-   :members:
-   :undoc-members:
Index: in/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_catalog.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_catalog.rst	(revision 6514)
+++ 	(revision )
@@ -1,8 +1,0 @@
-`waeup.sirp.accesscodes.catalog` -- The accesscodes catalog
-***********************************************************
-
-.. py:module:: waeup.sirp.accesscodes.catalog
-
-.. automodule:: waeup.sirp.accesscodes.catalog
-   :members:
-   :undoc-members:
Index: in/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_interfaces.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_interfaces.rst	(revision 6514)
+++ 	(revision )
@@ -1,14 +1,0 @@
-`waeup.sirp.accesscodes.interfaces` -- The accesscodes interfaces
-*****************************************************************
-
-.. automodule:: waeup.sirp.accesscodes.interfaces
-   :members:
-   :undoc-members:
-
-
-   .. autointerface:: IAccessCode
-      :members:
-   .. autointerface:: IAccessCodeBatch
-      :members:
-   .. autointerface:: IAccessCodeBatchContainer
-      :members:
Index: in/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_workflow.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_accesscodes_workflow.rst	(revision 6514)
+++ 	(revision )
@@ -1,6 +1,0 @@
-`waeup.sirp.accesscodes.workflow` - Workflows for accesscodes
-*************************************************************
-
-.. automodule:: waeup.sirp.accesscodes.workflow
-   :members:
-   :undoc-members:
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_browser.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_browser.rst	(revision 6515)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_browser.rst	(revision 6515)
@@ -0,0 +1,6 @@
+`accesscodes.browser` -- AC UI Components
+*****************************************
+
+.. automodule:: waeup.sirp.accesscodes.browser
+   :members:
+   :undoc-members:
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_catalog.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_catalog.rst	(revision 6515)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_catalog.rst	(revision 6515)
@@ -0,0 +1,6 @@
+`accesscodes.catalog` -- AC Catalog Components
+**********************************************
+
+.. automodule:: waeup.sirp.accesscodes.catalog
+   :members:
+   :undoc-members:
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_interfaces.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_interfaces.rst	(revision 6515)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_interfaces.rst	(revision 6515)
@@ -0,0 +1,14 @@
+`accesscodes.interfaces` -- AC Interfaces
+*****************************************
+
+.. automodule:: waeup.sirp.accesscodes.interfaces
+   :members:
+   :undoc-members:
+
+
+   .. autointerface:: IAccessCode
+      :members:
+   .. autointerface:: IAccessCodeBatch
+      :members:
+   .. autointerface:: IAccessCodeBatchContainer
+      :members:
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_workflow.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_workflow.rst	(revision 6515)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/accesscodes/api_workflow.rst	(revision 6515)
@@ -0,0 +1,6 @@
+`accesscodes.workflow` - AC Workflow Components
+***********************************************
+
+.. automodule:: waeup.sirp.accesscodes.workflow
+   :members:
+   :undoc-members:
Index: /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes.rst	(revision 6514)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/api/api_accesscodes.rst	(revision 6515)
@@ -1,4 +1,4 @@
-`waeup.sirp.accesscodes` -- Access Codes
-****************************************
+`accesscodes` -- Access Codes Package
+*************************************
 
 (see also: :ref:`api-accesscodes-modules`)
@@ -18,7 +18,7 @@
    :maxdepth: 1
 
-   api_accesscodes_accesscodes
-   api_accesscodes_browser
-   api_accesscodes_catalog
-   api_accesscodes_interfaces
-   api_accesscodes_workflow
+   accesscodes/api_accesscodes
+   accesscodes/api_browser
+   accesscodes/api_catalog
+   accesscodes/api_interfaces
+   accesscodes/api_workflow
Index: /main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/__init__.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/__init__.py	(revision 6514)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/__init__.py	(revision 6515)
@@ -1,5 +1,3 @@
-"""Access codes (aka PINs)
---------------------------
-
+"""
 Access codes are special objects used for identifying users. Each
 access code has a portal-wide unique number.