Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/api_browser.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/api_browser.rst	(revision 6515)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/api_browser.rst	(revision 6516)
@@ -18,3 +18,10 @@
    :maxdepth: 1
 
+   browser/api_interfaces.rst
    browser/api_pages.rst
+   browser/api_viewlets.rst
+   browser/api_layout.rst
+   browser/api_breadcrumbs.rst
+   browser/api_theming.rst
+   browser/api_resources.rst
+   browser/api_exceptions.rst
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_breadcrumbs.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_breadcrumbs.rst	(revision 6516)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_breadcrumbs.rst	(revision 6516)
@@ -0,0 +1,7 @@
+`browser.breadcrumbs` - Browser Breadcrumbs
+*******************************************
+
+.. automodule:: waeup.sirp.browser.breadcrumbs
+   :members:
+   :undoc-members:
+
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_exceptions.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_exceptions.rst	(revision 6516)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_exceptions.rst	(revision 6516)
@@ -0,0 +1,7 @@
+`browser.exceptions` - Browser Exceptions
+*****************************************
+
+.. automodule:: waeup.sirp.browser.exceptions
+   :members:
+   :undoc-members:
+
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_interfaces.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_interfaces.rst	(revision 6516)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_interfaces.rst	(revision 6516)
@@ -0,0 +1,18 @@
+`browser.interfaces` - Browser Interfaces
+*****************************************
+
+.. automodule:: waeup.sirp.browser.interfaces
+   :members:
+   :undoc-members:
+
+   .. autointerface:: IBreadcrumb
+      :members:
+
+   .. autointerface:: IBreadcrumbIgnorable
+      :members:
+
+   .. autointerface:: IBreadcrumbContainer
+      :members:
+
+   .. autointerface:: ITheme
+      :members:
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_layout.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_layout.rst	(revision 6516)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_layout.rst	(revision 6516)
@@ -0,0 +1,7 @@
+`browser.layout` - Browser Layout
+*********************************
+
+.. automodule:: waeup.sirp.browser.layout
+   :members:
+   :undoc-members:
+
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_resources.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_resources.rst	(revision 6516)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_resources.rst	(revision 6516)
@@ -0,0 +1,7 @@
+`browser.resources` - Browser Resources
+***************************************
+
+.. automodule:: waeup.sirp.browser.resources
+   :members:
+   :undoc-members:
+
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_theming.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_theming.rst	(revision 6516)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_theming.rst	(revision 6516)
@@ -0,0 +1,7 @@
+`browser.theming` - Browser Theming
+***********************************
+
+.. automodule:: waeup.sirp.browser.theming
+   :members:
+   :undoc-members:
+
Index: main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_viewlets.rst
===================================================================
--- main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_viewlets.rst	(revision 6516)
+++ main/waeup.sirp/trunk/docs/source/developerdocs/api/browser/api_viewlets.rst	(revision 6516)
@@ -0,0 +1,7 @@
+`browser.viewlets` - Browser Viewlets
+*************************************
+
+.. automodule:: waeup.sirp.browser.viewlets
+   :members:
+   :undoc-members:
+